Module java.xml.crypto
Package javax.xml.crypto.dsig

# Interface CanonicalizationMethod

All Superinterfaces:
  `AlgorithmMethod`, `Transform`, `XMLStructure`

public interface CanonicalizationMethod extends Transform
A representation of the XML `CanonicalizationMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

       <element name="CanonicalizationMethod" type="ds:CanonicalizationMethodType"/>
         <complexType name="CanonicalizationMethodType" mixed="true">
           <sequence>
             <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
               <!-- (0,unbounded) elements from (1,1) namespace -->
           </sequence>
           <attribute name="Algorithm" type="anyURI" use="required"/>
         </complexType>

A `CanonicalizationMethod` instance may be created by invoking the `newCanonicalizationMethod` method of the `XMLSignatureFactory` class.

Since:
  1.6
See Also:
  `XMLSignatureFactory.newCanonicalizationMethod(String, C14NMethodParameterSpec)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`EXCLUSIVE`
The Exclusive Canonical XML (without comments) canonicalization method algorithm URI.
`static String`
`EXCLUSIVE_WITH_COMMENTS`
The Exclusive Canonical XML with comments canonicalization method algorithm URI.
`static String`
`INCLUSIVE`
The Canonical XML (without comments) canonicalization method algorithm URI.
`static String`
`INCLUSIVE_11`
The Canonical XML 1.1 (without comments) canonicalization method algorithm URI.
`static String`
`INCLUSIVE_11_WITH_COMMENTS`
The Canonical XML 1.1 with comments canonicalization method algorithm URI.
`static String`
`INCLUSIVE_WITH_COMMENTS`
The Canonical XML with comments canonicalization method algorithm URI.

### Fields declared in interface javax.xml.crypto.dsig.Transform

`BASE64, ENVELOPED, XPATH, XPATH2, XSLT`

## Method Summary

Modifier and Type
Method
Description
`AlgorithmParameterSpec`
`getParameterSpec()`
Returns the algorithm-specific input parameters associated with this `CanonicalizationMethod`.

### Methods declared in interface javax.xml.crypto.AlgorithmMethod

`getAlgorithm`

### Methods declared in interface javax.xml.crypto.dsig.Transform

`transform, transform`

### Methods declared in interface javax.xml.crypto.XMLStructure

`isFeatureSupported`

## Field Details

### INCLUSIVE

static final String INCLUSIVE
The Canonical XML (without comments) canonicalization method algorithm URI.

See Also:
  Constant Field Values

### INCLUSIVE_WITH_COMMENTS

static final String INCLUSIVE_WITH_COMMENTS
The Canonical XML with comments canonicalization method algorithm URI.

See Also:
  Constant Field Values

### EXCLUSIVE

static final String EXCLUSIVE
The Exclusive Canonical XML (without comments) canonicalization method algorithm URI.

See Also:
  Constant Field Values

### EXCLUSIVE_WITH_COMMENTS

static final String EXCLUSIVE_WITH_COMMENTS
The Exclusive Canonical XML with comments canonicalization method algorithm URI.

See Also:
  Constant Field Values

### INCLUSIVE_11

static final String INCLUSIVE_11
The Canonical XML 1.1 (without comments) canonicalization method algorithm URI.

Since:
  13
See Also:
  Constant Field Values

### INCLUSIVE_11_WITH_COMMENTS

static final String INCLUSIVE_11_WITH_COMMENTS
The Canonical XML 1.1 with comments canonicalization method algorithm URI.

Since:
  13
See Also:
  Constant Field Values

## Method Details

### getParameterSpec

AlgorithmParameterSpec getParameterSpec()
Returns the algorithm-specific input parameters associated with this `CanonicalizationMethod`.

The returned parameters can be typecast to a `C14NMethodParameterSpec` object.

Specified by:
  `getParameterSpec` in interface `AlgorithmMethod`
Specified by:
  `getParameterSpec` in interface `Transform`
Returns:
  the algorithm-specific input parameters (may be `null` if not specified)